Update a blackout by blackout ID

patch

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/blackouts/{blackoutId}

Updates a blackout by blackout ID.

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Payload to edit an existing blackout.
Show Source
Match All
Payload to edit an existing blackout.
Show Source
Nested Schema : excludeTargets
Type: array
List of indirect blackout members which should be excluded from blackout.
Show Source
Nested Schema : excludeTypes
Type: array
List of indirect blackout member type names which should be excluded from blackout.
Show Source
Nested Schema : targets
Type: array
List of targets to be blacked out.
Show Source
Nested Schema : Schedule
Type: object
Defining time schedule
Show Source
  • To indicate the time should be interpreted in target's timezone or not. If Timezone is specified in time and useTargetZone is true, it will be reported as an ERROR condition
    Example: true
  • Frequency at which the operation must be executed repeatedly
    Example: Weekly
  • Currently we support ical specification default is ICAL, in future it can be extended to other types e.g CRON.
  • Time in minutes after which the job will be marked as skipped if not started. Null or Negative value means no grace period.
    Example: 60
  • end time for the job in the format YYYY-MM-DDTHH24:Mi:SSZTimezone Timezone specification is optional and will be defaulted to UTC.
    Example: 2021-03-02 22:00:13
  • start time for the job in the format YYYY-MM-DDTHH24:Mi:SSZTimezone Timezone specification is optional and will be defaulted to UTC.
    Example: 2021-03-01 21:23:03
Nested Schema : TargetIdentifier
Type: object
Identifies a target either by name and typeName or by id.
Show Source
Nested Schema : BlackoutTarget
Type: object
Representation of a target contained in a blackout.
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

OK
Body ()
Root Schema : Blackout
Type: object
This is a blackout description.
Show Source
Match All
This is a blackout description.
Show Source
Nested Schema : excludeTargets
Type: array
List of indirect blackout members which should be excluded from blackout.
Show Source
Nested Schema : excludeTypes
Type: array
List of indirect blackout member type names which should be excluded from blackout.
Show Source
Nested Schema : Schedule
Type: object
Defining time schedule
Show Source
  • To indicate the time should be interpreted in target's timezone or not. If Timezone is specified in time and useTargetZone is true, it will be reported as an ERROR condition
    Example: true
  • Frequency at which the operation must be executed repeatedly
    Example: Weekly
  • Currently we support ical specification default is ICAL, in future it can be extended to other types e.g CRON.
  • Time in minutes after which the job will be marked as skipped if not started. Null or Negative value means no grace period.
    Example: 60
  • end time for the job in the format YYYY-MM-DDTHH24:Mi:SSZTimezone Timezone specification is optional and will be defaulted to UTC.
    Example: 2021-03-02 22:00:13
  • start time for the job in the format YYYY-MM-DDTHH24:Mi:SSZTimezone Timezone specification is optional and will be defaulted to UTC.
    Example: 2021-03-01 21:23:03
Nested Schema : TargetIdentifier
Type: object
Identifies a target either by name and typeName or by id.
Show Source
Examples

401 Response

client is not authenticated
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

404 Response

resource not found or not authorized
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

500 Response

internal error serving the request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

503 Response

indicates that a required service is not available.
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Back to Top